<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.czg</groupId>
    <artifactId>cash-dependencies</artifactId>
    <packaging>pom</packaging>
    <version>1.0.0</version>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
        <java.version>21</java.version>
        <captcha.version>1.6.2</captcha.version>
        <druid.version>1.2.23</druid.version>
        <mybatisflex.version>1.10.6</mybatisflex.version>
        <hutool.version>5.8.35</hutool.version>
        <lombok.version>1.18.22</lombok.version>
        <quartz.version>2.3.2</quartz.version>
        <fastjson2.version>2.0.54</fastjson2.version>
        <sa-token.version>1.40.0</sa-token.version>
        <commons-io.version>2.14.0</commons-io.version>
        <tomcat-embed-core.version>11.0.2</tomcat-embed-core.version>
        <nacos-discovery.version>2023.0.3.2</nacos-discovery.version>
        <nacos-config.version>2023.0.3.2</nacos-config.version>
        <cloud-starter-bootstrap.version>4.1.4</cloud-starter-bootstrap.version>
        <mysql-connector-j.version>8.2.0</mysql-connector-j.version>
        <mybatis-spring-boot.version>3.0.4</mybatis-spring-boot.version>
        <jedis.version>5.2.0</jedis.version>
        <spring-data-redis.version>3.4.2</spring-data-redis.version>
        <dubbo-spring.version>3.3.3</dubbo-spring.version>
        <dubbo-registry-nacos.version>3.3.3</dubbo-registry-nacos.version>
        <dubbo.version>3.3.3</dubbo.version>
        <seata.version>2.0.0</seata.version>
        <pagehelper.version>2.1.0</pagehelper.version>
        <alipay-sdk-java.version>4.40.54.ALL</alipay-sdk-java.version>
        <aliyun-sms.version>2.0.24</aliyun-sms.version>
        <aliyun.oss.version>2.8.3</aliyun.oss.version>
        <zxing.version>3.5.3</zxing.version>
        <weixin.java.miniapp.version>3.8.0</weixin.java.miniapp.version>
        <pinyin.version>2.5.1</pinyin.version>
        <IJPay.version>2.9.10</IJPay.version>
        <netty.version>4.1.128.Final</netty.version>
    </properties>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>com.aliyun</groupId>
                <artifactId>bailian20231229</artifactId>
                <version>2.6.1</version>
            </dependency>
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>dashscope-sdk-java</artifactId>
                <version>2.22.1</version>
            </dependency>

            <dependency>
                <groupId>com.github.javen205</groupId>
                <artifactId>IJPay-All</artifactId>
                <version>${IJPay.version}</version>
            </dependency>
            <dependency>
                <groupId>com.belerweb</groupId>
                <artifactId>pinyin4j</artifactId>
                <version>${pinyin.version}</version>
            </dependency>
            <dependency>
                <groupId>com.czg</groupId>
                <artifactId>cash-common-tools</artifactId>
                <version>${project.version}</version>
            </dependency>
<!--            <dependency>-->
<!--                <groupId>com.github.binarywang</groupId>-->
<!--                <artifactId>weixin-java-miniapp</artifactId>-->
<!--                <version>${weixin.java.miniapp.version}</version>-->
<!--            </dependency>-->

            <dependency>
                <groupId>com.google.zxing</groupId>
                <artifactId>core</artifactId>
                <version>${zxing.version}</version>
            </dependency>


            <!-- 阿里云oss -->
            <dependency>
                <groupId>com.aliyun.oss</groupId>
                <artifactId>aliyun-sdk-oss</artifactId>
                <version>${aliyun.oss.version}</version>
            </dependency>

            <!-- 阿里云sms -->
            <dependency>
                <groupId>com.aliyun</groupId>
                <artifactId>dysmsapi20170525</artifactId>
                <version>${aliyun-sms.version}</version>
            </dependency>

            <!-- 阿里云支付sdk -->
            <dependency>
                <groupId>com.alipay.sdk</groupId>
                <artifactId>alipay-sdk-java</artifactId>
                <version>${alipay-sdk-java.version}</version>
            </dependency>
            <!-- Sa-Token 权限认证，在线文档：https://sa-token.cc -->
            <!-- sa-token 的漏洞的依赖处理 -->
            <!-- sa-token start -->
            <dependency>
                <groupId>cn.dev33</groupId>
                <artifactId>sa-token-spring-boot3-starter</artifactId>
                <version>${sa-token.version}</version>
                <exclusions>
                    <exclusion>
                        <groupId>org.apache.tomcat.embed</groupId>
                        <artifactId>tomcat-embed-core</artifactId>
                    </exclusion>
                </exclusions>
            </dependency>
            <!-- Sa-Token 整合 Redis （使用 jdk 默认序列化方式） -->
            <!-- Sa-Token 整合 Redis （使用 jackson 序列化方式） -->
            <dependency>
                <groupId>cn.dev33</groupId>
                <artifactId>sa-token-redis-jackson</artifactId>
                <version>1.40.0</version>
            </dependency>
            <!-- 提供Redis连接池 -->
            <dependency>
                <groupId>org.apache.commons</groupId>
                <artifactId>commons-pool2</artifactId>
                <version>2.12.0</version>
            </dependency>

            <dependency>
                <groupId>org.apache.tomcat.embed</groupId>
                <artifactId>tomcat-embed-core</artifactId>
                <version>${tomcat-embed-core.version}</version>
            </dependency>
            <!-- sa-token end -->
            <dependency>
                <groupId>commons-io</groupId>
                <artifactId>commons-io</artifactId>
                <version>${commons-io.version}</version>
            </dependency>
            <dependency>
                <groupId>com.github.whvcse</groupId>
                <artifactId>easy-captcha</artifactId>
                <version>${captcha.version}</version>
            </dependency>
            <dependency>
                <groupId>org.projectlombok</groupId>
                <artifactId>lombok</artifactId>
                <version>${lombok.version}</version>
            </dependency>
            <dependency>
                <groupId>com.mybatis-flex</groupId>
                <artifactId>mybatis-flex-spring-boot3-starter</artifactId>
                <version>${mybatisflex.version}</version>
            </dependency>
            <dependency>
                <groupId>com.mybatis-flex</groupId>
                <artifactId>mybatis-flex-processor</artifactId>
                <version>${mybatisflex.version}</version>
                <scope>provided</scope>
            </dependency>
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>druid-spring-boot-3-starter</artifactId>
                <version>${druid.version}</version>
            </dependency>
            <dependency>
                <groupId>cn.hutool</groupId>
                <artifactId>hutool-all</artifactId>
                <version>${hutool.version}</version>
            </dependency>
            <!-- Dubbo Spring Boot Starter -->
            <dependency>
                <groupId>org.apache.dubbo</groupId>
                <artifactId>dubbo-spring-boot-starter</artifactId>
                <version>${dubbo-spring.version}</version>
            </dependency>
            <!-- https://mvnrepository.com/artifact/io.seata/seata-spring-boot-starter -->
            <dependency>
                <groupId>io.seata</groupId>
                <artifactId>seata-spring-boot-starter</artifactId>
                <version>${seata.version}</version>
            </dependency>

            <dependency>
                <groupId>com.github.pagehelper</groupId>
                <artifactId>pagehelper-spring-boot-starter</artifactId>
                <version>${pagehelper.version}</version>
            </dependency>
            <!--
            <dependency>
                <groupId>org.quartz-scheduler</groupId>
                <artifactId>quartz</artifactId>
                <version>${quartz.version}</version>
            </dependency>
            -->
            <dependency>
                <groupId>com.alibaba.fastjson2</groupId>
                <artifactId>fastjson2</artifactId>
                <version>${fastjson2.version}</version>
            </dependency>
            <dependency>
                <groupId>com.alibaba.fastjson2</groupId>
                <artifactId>fastjson2-extension-spring6</artifactId>
                <version>${fastjson2.version}</version>
            </dependency>


            <!-- 配置管理依赖，如果你需要配置管理功能 -->
            <dependency>
                <groupId>com.alibaba.cloud</groupId>
                <artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
                <version>${nacos-config.version}</version>
            </dependency>

            <dependency>
                <groupId>org.springframework.cloud</groupId>
                <artifactId>spring-cloud-starter-bootstrap</artifactId>
                <version>${cloud-starter-bootstrap.version}</version>
            </dependency>

            <dependency>
                <groupId>com.mysql</groupId>
                <artifactId>mysql-connector-j</artifactId>
                <version>${mysql-connector-j.version}</version>
            </dependency>

            <dependency>
                <groupId>org.mybatis.spring.boot</groupId>
                <artifactId>mybatis-spring-boot-starter</artifactId>
                <version>${mybatis-spring-boot.version}</version>
            </dependency>

            <dependency>
                <groupId>redis.clients</groupId>
                <artifactId>jedis</artifactId>
                <version>${jedis.version}</version>
            </dependency>
            <dependency>
                <groupId>org.springframework.data</groupId>
                <artifactId>spring-data-redis</artifactId>
                <version>${spring-data-redis.version}</version>
            </dependency>
            <!-- excel 导入导出工具类：https://github.com/pig-mesh/excel-spring-boot-starter -->
            <!-- 参考文档：https://www.yuque.com/pig4cloud/excel -->
            <dependency>
                <groupId>com.pig4cloud.excel</groupId>
                <artifactId>excel-spring-boot-starter</artifactId>
                <version>3.4.0</version>
            </dependency>

            <!-- https://mvnrepository.com/artifact/io.netty/netty-all -->
            <dependency>
                <groupId>io.netty</groupId>
                <artifactId>netty-all</artifactId>
                <version>${netty.version}</version>
            </dependency>

            <!-- https://mvnrepository.com/artifact/io.netty/netty-codec-mqtt -->
            <dependency>
                <groupId>io.netty</groupId>
                <artifactId>netty-codec-mqtt</artifactId>
                <version>${netty.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

</project>
